'''
$Log: mysqlDBlibTest.py,v $
Revision 1.1.1.1  2004/02/15 08:44:28  jangc
start

Revision 1.1  2003/12/30 23:52:18  pybbs
pyScheduler start

'''
import unittest
import MySQLdb
import config
from mysqlDBlib import *

class MySQLDBTestCase(unittest.TestCase):
    def test01ExtractNames(self):
        T = (('a',), ('b',), ('c',))
        L = extractNames(T)
        self.assertEquals(L, ['a', 'b', 'c'])

    def test02_MakeDB_MakeRemoveTables(self):
        removeDB()
        self.assertEquals(makeDB(), True)
        cursor = getCursor()
        self.assertEquals(getTableNames(cursor), [])
        makeScheduleTable(cursor)
        self.assertEquals(getTableNames(cursor), [config.tableName])
        self.assert_(removeTable(config.tableName))   
        
    def test03SetUpForOtherTestCase(self):
        cursor = getCursor()
        makeScheduleTable(cursor)

if __name__ == '__main__':
    unittest.main(argv=('', '-v'))
